  //Example instantiation for system 'DE3_SOPC'
  DE3_SOPC DE3_SOPC_inst
    (
      .altmemddr_aux_full_rate_clk_out          (altmemddr_aux_full_rate_clk_out),
      .altmemddr_aux_half_rate_clk_out          (altmemddr_aux_half_rate_clk_out),
      .altmemddr_phy_clk_out                    (altmemddr_phy_clk_out),
      .aux_scan_clk_from_the_altmemddr          (aux_scan_clk_from_the_altmemddr),
      .aux_scan_clk_reset_n_from_the_altmemddr  (aux_scan_clk_reset_n_from_the_altmemddr),
      .avs_s1_export_seg7_from_the_SEG7         (avs_s1_export_seg7_from_the_SEG7),
      .bidir_port_to_and_from_the_ddr2_i2c_sda  (bidir_port_to_and_from_the_ddr2_i2c_sda),
      .bidir_port_to_and_from_the_net_i2c_sda   (bidir_port_to_and_from_the_net_i2c_sda),
      .clk                                      (clk),
      .clk_ddr2                                 (clk_ddr2),
      .dll_reference_clk_from_the_altmemddr     (dll_reference_clk_from_the_altmemddr),
      .dqs_delay_ctrl_export_from_the_altmemddr (dqs_delay_ctrl_export_from_the_altmemddr),
      .ena_10_from_the_tse_mac                  (ena_10_from_the_tse_mac),
      .eth_mode_from_the_tse_mac                (eth_mode_from_the_tse_mac),
      .global_reset_n_to_the_altmemddr          (global_reset_n_to_the_altmemddr),
      .gm_rx_d_to_the_tse_mac                   (gm_rx_d_to_the_tse_mac),
      .gm_rx_dv_to_the_tse_mac                  (gm_rx_dv_to_the_tse_mac),
      .gm_rx_err_to_the_tse_mac                 (gm_rx_err_to_the_tse_mac),
      .gm_tx_d_from_the_tse_mac                 (gm_tx_d_from_the_tse_mac),
      .gm_tx_en_from_the_tse_mac                (gm_tx_en_from_the_tse_mac),
      .gm_tx_err_from_the_tse_mac               (gm_tx_err_from_the_tse_mac),
      .in_port_to_the_pio_button                (in_port_to_the_pio_button),
      .in_port_to_the_pio_dip_sw                (in_port_to_the_pio_dip_sw),
      .in_port_to_the_pio_sw                    (in_port_to_the_pio_sw),
      .local_init_done_from_the_altmemddr       (local_init_done_from_the_altmemddr),
      .local_refresh_ack_from_the_altmemddr     (local_refresh_ack_from_the_altmemddr),
      .local_wdata_req_from_the_altmemddr       (local_wdata_req_from_the_altmemddr),
      .m_rx_col_to_the_tse_mac                  (m_rx_col_to_the_tse_mac),
      .m_rx_crs_to_the_tse_mac                  (m_rx_crs_to_the_tse_mac),
      .m_rx_d_to_the_tse_mac                    (m_rx_d_to_the_tse_mac),
      .m_rx_en_to_the_tse_mac                   (m_rx_en_to_the_tse_mac),
      .m_rx_err_to_the_tse_mac                  (m_rx_err_to_the_tse_mac),
      .m_tx_d_from_the_tse_mac                  (m_tx_d_from_the_tse_mac),
      .m_tx_en_from_the_tse_mac                 (m_tx_en_from_the_tse_mac),
      .m_tx_err_from_the_tse_mac                (m_tx_err_from_the_tse_mac),
      .mdc_from_the_tse_mac                     (mdc_from_the_tse_mac),
      .mdio_in_to_the_tse_mac                   (mdio_in_to_the_tse_mac),
      .mdio_oen_from_the_tse_mac                (mdio_oen_from_the_tse_mac),
      .mdio_out_from_the_tse_mac                (mdio_out_from_the_tse_mac),
      .mem_addr_from_the_altmemddr              (mem_addr_from_the_altmemddr),
      .mem_ba_from_the_altmemddr                (mem_ba_from_the_altmemddr),
      .mem_cas_n_from_the_altmemddr             (mem_cas_n_from_the_altmemddr),
      .mem_cke_from_the_altmemddr               (mem_cke_from_the_altmemddr),
      .mem_clk_n_to_and_from_the_altmemddr      (mem_clk_n_to_and_from_the_altmemddr),
      .mem_clk_to_and_from_the_altmemddr        (mem_clk_to_and_from_the_altmemddr),
      .mem_cs_n_from_the_altmemddr              (mem_cs_n_from_the_altmemddr),
      .mem_dm_from_the_altmemddr                (mem_dm_from_the_altmemddr),
      .mem_dq_to_and_from_the_altmemddr         (mem_dq_to_and_from_the_altmemddr),
      .mem_dqs_to_and_from_the_altmemddr        (mem_dqs_to_and_from_the_altmemddr),
      .mem_dqsn_to_and_from_the_altmemddr       (mem_dqsn_to_and_from_the_altmemddr),
      .mem_odt_from_the_altmemddr               (mem_odt_from_the_altmemddr),
      .mem_ras_n_from_the_altmemddr             (mem_ras_n_from_the_altmemddr),
      .mem_we_n_from_the_altmemddr              (mem_we_n_from_the_altmemddr),
      .oct_ctl_rs_value_to_the_altmemddr        (oct_ctl_rs_value_to_the_altmemddr),
      .oct_ctl_rt_value_to_the_altmemddr        (oct_ctl_rt_value_to_the_altmemddr),
      .out_port_from_the_ddr2_i2c_scl           (out_port_from_the_ddr2_i2c_scl),
      .out_port_from_the_net_i2c_scl            (out_port_from_the_net_i2c_scl),
      .out_port_from_the_pio_led                (out_port_from_the_pio_led),
      .pll_c0_peripheral                        (pll_c0_peripheral),
      .pll_c1_ddr2                              (pll_c1_ddr2),
      .pll_c2_sys                               (pll_c2_sys),
      .reset_n                                  (reset_n),
      .reset_phy_clk_n_from_the_altmemddr       (reset_phy_clk_n_from_the_altmemddr),
      .rx_clk_to_the_tse_mac                    (rx_clk_to_the_tse_mac),
      .set_1000_to_the_tse_mac                  (set_1000_to_the_tse_mac),
      .set_10_to_the_tse_mac                    (set_10_to_the_tse_mac),
      .tx_clk_to_the_tse_mac                    (tx_clk_to_the_tse_mac)
    );

