  //Example instantiation for system 'QB3_SOPC'
  QB3_SOPC QB3_SOPC_inst
    (
      .adsc_n_to_the_ssram                  (adsc_n_to_the_ssram),
      .altmemddr_aux_full_rate_clk_out      (altmemddr_aux_full_rate_clk_out),
      .altmemddr_aux_half_rate_clk_out      (altmemddr_aux_half_rate_clk_out),
      .altmemddr_phy_clk_out                (altmemddr_phy_clk_out),
      .bw_n_to_the_ssram                    (bw_n_to_the_ssram),
      .bwe_n_to_the_ssram                   (bwe_n_to_the_ssram),
      .chipenable1_n_to_the_ssram           (chipenable1_n_to_the_ssram),
      .clk_cpu                              (clk_cpu),
      .clk_osc                              (clk_osc),
      .clk_peripheral                       (clk_peripheral),
      .clk_ssram                            (clk_ssram),
      .clk_vga                              (clk_vga),
      .clk_video                            (clk_video),
      .ena_10_from_the_tse_mac              (ena_10_from_the_tse_mac),
      .eth_mode_from_the_tse_mac            (eth_mode_from_the_tse_mac),
      .flash_ssram_tristate_bridge_address  (flash_ssram_tristate_bridge_address),
      .flash_ssram_tristate_bridge_data     (flash_ssram_tristate_bridge_data),
      .global_reset_n_to_the_altmemddr      (global_reset_n_to_the_altmemddr),
      .gm_rx_d_to_the_tse_mac               (gm_rx_d_to_the_tse_mac),
      .gm_rx_dv_to_the_tse_mac              (gm_rx_dv_to_the_tse_mac),
      .gm_rx_err_to_the_tse_mac             (gm_rx_err_to_the_tse_mac),
      .gm_tx_d_from_the_tse_mac             (gm_tx_d_from_the_tse_mac),
      .gm_tx_en_from_the_tse_mac            (gm_tx_en_from_the_tse_mac),
      .gm_tx_err_from_the_tse_mac           (gm_tx_err_from_the_tse_mac),
      .in_port_to_the_pio_button            (in_port_to_the_pio_button),
      .local_init_done_from_the_altmemddr   (local_init_done_from_the_altmemddr),
      .local_refresh_ack_from_the_altmemddr (local_refresh_ack_from_the_altmemddr),
      .local_wdata_req_from_the_altmemddr   (local_wdata_req_from_the_altmemddr),
      .m_rx_col_to_the_tse_mac              (m_rx_col_to_the_tse_mac),
      .m_rx_crs_to_the_tse_mac              (m_rx_crs_to_the_tse_mac),
      .m_rx_d_to_the_tse_mac                (m_rx_d_to_the_tse_mac),
      .m_rx_en_to_the_tse_mac               (m_rx_en_to_the_tse_mac),
      .m_rx_err_to_the_tse_mac              (m_rx_err_to_the_tse_mac),
      .m_tx_d_from_the_tse_mac              (m_tx_d_from_the_tse_mac),
      .m_tx_en_from_the_tse_mac             (m_tx_en_from_the_tse_mac),
      .m_tx_err_from_the_tse_mac            (m_tx_err_from_the_tse_mac),
      .mdc_from_the_tse_mac                 (mdc_from_the_tse_mac),
      .mdio_in_to_the_tse_mac               (mdio_in_to_the_tse_mac),
      .mdio_oen_from_the_tse_mac            (mdio_oen_from_the_tse_mac),
      .mdio_out_from_the_tse_mac            (mdio_out_from_the_tse_mac),
      .mem_addr_from_the_altmemddr          (mem_addr_from_the_altmemddr),
      .mem_ba_from_the_altmemddr            (mem_ba_from_the_altmemddr),
      .mem_cas_n_from_the_altmemddr         (mem_cas_n_from_the_altmemddr),
      .mem_cke_from_the_altmemddr           (mem_cke_from_the_altmemddr),
      .mem_clk_n_to_and_from_the_altmemddr  (mem_clk_n_to_and_from_the_altmemddr),
      .mem_clk_to_and_from_the_altmemddr    (mem_clk_to_and_from_the_altmemddr),
      .mem_cs_n_from_the_altmemddr          (mem_cs_n_from_the_altmemddr),
      .mem_dm_from_the_altmemddr            (mem_dm_from_the_altmemddr),
      .mem_dq_to_and_from_the_altmemddr     (mem_dq_to_and_from_the_altmemddr),
      .mem_dqs_to_and_from_the_altmemddr    (mem_dqs_to_and_from_the_altmemddr),
      .mem_ras_n_from_the_altmemddr         (mem_ras_n_from_the_altmemddr),
      .mem_we_n_from_the_altmemddr          (mem_we_n_from_the_altmemddr),
      .out_port_from_the_pio_led            (out_port_from_the_pio_led),
      .outputenable_n_to_the_ssram          (outputenable_n_to_the_ssram),
      .read_n_to_the_ext_flash              (read_n_to_the_ext_flash),
      .reset_n                              (reset_n),
      .reset_phy_clk_n_from_the_altmemddr   (reset_phy_clk_n_from_the_altmemddr),
      .rx_clk_to_the_tse_mac                (rx_clk_to_the_tse_mac),
      .select_n_to_the_ext_flash            (select_n_to_the_ext_flash),
      .set_1000_to_the_tse_mac              (set_1000_to_the_tse_mac),
      .set_10_to_the_tse_mac                (set_10_to_the_tse_mac),
      .tx_clk_to_the_tse_mac                (tx_clk_to_the_tse_mac),
      .write_n_to_the_ext_flash             (write_n_to_the_ext_flash)
    );

